#
# spec file for package python-django-piston
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-django-piston
Version:        0.2.3
Release:        lp151.2.2
Url:            http://bitbucket.org/jespern/django-piston
Summary:        Piston is a Django mini-framework creating APIs
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         django-piston-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
Patch1:         django-piston-9d71eda5395f.diff

%description
A mini-framework for Django for creating RESTful APIs.

%prep
%setup -q -n django-piston-%{version}
%patch1 -p1

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Mar 13 2012 cfarrell@suse.com
- license update: BSD-2-Clause
  SPDX syntax
* Fri Jan  6 2012 mcihar@suse.cz
- add django-piston-9d71eda5395f.diff to fix Django admin interface
  see https://bitbucket.org/jespern/django-piston/issue/173/
* Tue Nov  1 2011 alexandre@exatati.com.br
- Update to 0.2.3:
  - Sorry, no changelog atm.
* Thu Jan  7 2010 alexandre@exatati.com.br
- Initial package (0.2.2) for openSUSE.
